import Graphics.Element exposing (..)
import List exposing (..)

isEven value = value % 2 == 0

double value = value * 2

add value1 value2 = value1 + value2

compute1 numbers =
  (foldl add 0 (map double (filter isEven numbers)))

compute2 numbers =
  numbers
  |> filter isEven
  |> map double
  |> foldl add 0
  
main =
  let 
    numbers = [1, 2, 3, 4, 5, 6]
  in
    show [
      compute1 numbers
    , compute2 numbers
    ]
